Variable Fillet Problems

I'm new to opencascade (A few Hours!) and I am trying to make a variable fillet using:

void BRepFilletAPI_MakeFillet::Add(const TColgp_Array1OfPnt2d &UandR,const TopoDS_Edge & E)

I'm getting very mixed results with this code:

BRepFilletAPI_MakeFillet mkFillet(baseShape._Shape);
gp_Pnt2d pnt(10.0, 5.0);
TColgp_Array1OfPnt2d danray(pnt, 1, 5);
gp_Pnt2d pnt2(20.0, 10.0);
danray.SetValue(1, pnt2);

mkFillet.Add(danray, edge);

Could anyone point me to an example or some documentation on how to implement variable fillets with multiple radii?

Many thanks,

Dan

Timo Roth's picture

There is a sample for Windows in the Start-menu entry of OpenCascade. Go to Samples/MFC/Modeling.
After starting you have to press the button for "Evolved blend" (see screenshot). The code is displayed in the editor window.

dubstar_04's picture

Hi Timo,
I am down loading the windows installer to give it a try.

Thanks for the reply,

Dan

akshay gaikwad's picture

Hi Timo,

Can you tell how to make 2D fillet? I used different codes  like BRepFilletAPI_MakeFillet2d, BRepFilletAPI_MakeFillet, ChFi2d_FilletAlgo, ChFi2d_FilletAPI etc. to do the fillet. but the code crashes.

Please help me.

Regards